<?php
/** 
 * SOTESHOP/appEasterPlugin
 * 
 * 
 * @package     appEasterPlugin
 * @author      Bartosz Alejski <whiteface@whiteface.pl>
 */

/** 
 * Enabling frontend and backend modules
 */
stPluginHelper::addEnableModule('appEasterFrontend', 'frontend');
stPluginHelper::addEnableModule('appEasterBackend', 'backend');

/** 
 * Adding nessesary Routing
 */
stPluginHelper::addRouting('appEasterPlugin', '/easter/*', 'appEasterFrontend', 'showEasterSite', 'frontend');
stPluginHelper::addRouting('appEasterPlugin', '/easter/*', 'appEasterBackend', 'responsiveConfig', 'backend');


/**
 * Dodanie do konfiguracji
 */
stConfiguration::addModule('appEasterPlugin', 'group_2');

$dispatcher->connect('smarty.slot.prepend', array('appEasterListener', 'prepend'));