<?php
/**
 * SOTESHOP/appEasterPlugin
 *
 *
 * @package     appEasterPlugin
 * @author      Bartosz Alejski <whiteface@whiteface.pl>
 */
class appEasterFrontendComponents extends sfComponents
{

   
   public function executeShowEasterResponsive()
   {
        $this->smarty = new stSmarty('appEasterFrontend');
        $config = stConfig::getInstance($this->getContext(), 'appEasterResponsiveConfigBackend');
        $this->config = $config->load();
        
        if(!$config->get('easter_responsive_on')){
             return sfView::NONE;
        }

        $configBanner['easter_responsive_description'] = $config->get('easter_responsive_description', null, true);
        
        $this->configBanner = $configBanner;
    }

}