<style type="text/css">
    .radio-img label {
        display: inline-block;
        cursor: pointer;
        padding: 0 !important;
        width: 100px !important;
        height: 60px !important;
        margin: 1px 10px 10px 1px;
        border: 2px solid #ececec;
        text-align: center !important;
    }

    .radio-img label.video{
        display: inline-block;
        cursor: pointer;
        padding: 0 !important;
        width: 194px !important;
        height: 60px !important;
        margin: 1px 10px 10px 1px;
        border: 2px solid #ececec;
        text-align: center !important;
    }

    .radio-img label img{
        max-width: 100%;
        max-height: 100%;
    }

    .radio-img input[type=radio]{
        display: none;
    }

    .radio-img input[type=radio]:checked + label{
        border-color: #e10000;
        border-width: 3px;
        margin: 0px 9px 9px 0px;
    }

    .delete_img{
        position: absolute;
        top: -4px;
        right: 3px;
        background: #fff;
        border-radius: 50%;
    }

</style>

<?php
use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date', 'VisualEffect', 'stAdminGenerator');
$culture = $config->getCulture();
$route ='appEasterBackend/responsiveConfig';

echo st_get_admin_head(array('@appEasterPlugin', __('Wielkanoc'), '/images/backend/main/icons/red/appEasterPlugin.png'), __('Konfiguracja'), array(
 'shortcuts' => array(), 
'culture' => isset($culture) ? $culture : null, 'route' => isset($route) ? $route : null)); ?>


    <?php st_view_slot_start('application-menu') ?>
<?php st_include_component('appEasterBackend', 'listMenu') ?>
<?php st_view_slot_end() ?>
<?php st_include_partial('stAdminGenerator/message', array('i18n_catalogue' => 'appEasterBackend')); ?>       
    
    <?php echo form_tag('appEasterBackend/responsiveConfig?culture='.$config->getCulture(), array(
  'id'        => 'sf_admin_edit_form',
  'name'      => 'sf_admin_edit_form',
  'multipart' => true,
  'class'     => 'admin_form'
)) ?>

    <fieldset>
		<div class="content">		
        
        <div class="row">
            <?php echo st_admin_get_form_field('easter[easter_responsive_on]', __('Włącz baner'), 1, 'checkbox_tag', array('checked' => $config->get('easter_responsive_on'))) ?>
            <br class="st_clear_all">
        </div>             

		<div class="form-row">
        <label><?php echo __('Życzenia') ?>:</label>
        <div class="content">    	
            <?php echo textarea_tag("easter[easter_responsive_description]", $config->get('easter_responsive_description', null, true), array('size' => '90x20', 'rich' => true, 'tinymce_options' => "width: 600, height: 250"))?>
            <br class="st_clear_all">
        </div>
        </div>

        <div class="form-row">
        <label><?php echo __('Obrazek') ?>:</label>
        <div class="content radio-img">            

            <?php $i = 1; ?>
            <?php foreach ($images_array as $image): ?>
            <div style="float:left; position: relative;">
                <input id="responsive_<?php echo $i ?>" <?php if($image['active']==1) { echo "checked"; }; ?> type="radio" name="easter[image_radio]" value="<?php echo $image['name']; ?>" class="image_radio">
                <label for="responsive_<?php echo $i ?>"><img src="/uploads/easter_picture/<?php echo $image['name']; ?>" /></label>
                
                <?php if($image['name']!="responsive16.png" && $image['name']!="responsive17.png" && $image['name']!="responsive18.png" && $image['name']!="responsive19.png" && $image['name']!="responsive20.jpg" && $image['name']!="responsive21.jpg" && $image['name']!="responsive22.jpg" && $image['name']!="responsive23.jpg") : ?>
                    <a class="delete_img" href="/backend.php/appEasterBackend/delete?name=<?php echo $image['name']; ?>" onclick="if (confirm('<?php echo __('Jesteś pewien?') ?>')) { f = document.createElement('form'); document.body.appendChild(f); f.method = 'POST'; f.action = this.href; f.submit(); };return false;"><img src="/images/backend/icons/delete.gif" title="delete" alt="delete"></a>
                <?php endif; ?>

            </div>
            <?php $i++; ?>
            <?php endforeach; ?>

            <br class="st_clear_all">
        </div>
        </div>

        <div class="form-row">
        <label><?php echo __('Video') ?></label>
        <div class="content radio-img">            

            <?php $i = 1; ?>
            <?php foreach ($video_array as $video): ?>
            <div style="float:left; position: relative;">
                <input id="responsive_video_<?php echo $i ?>" <?php if($video['active']==1) { echo "checked"; }; ?> type="radio" name="easter[video_radio]" value="<?php echo $video['name']; ?>" class="video_radio">
                <label for="responsive_video_<?php echo $i ?>" class="video">
                    <video loop="" muted="" style="width: 194px; height: 60px;">
                     <source src="/uploads/easter_picture/<?php echo $video['name']; ?>" type="video/mp4">         
                     </video>
                </label>
                
                <?php if($video['name']!="easter-video1.mp4" && $video['name']!="easter-video2.mp4" && $video['name']!="easter-video3.mp4" && $video['name']!="easter-video4.mp4"): ?>
                    <a class="delete_img" href="/backend.php/appEasterBackend/deleteVideo?name=<?php echo $video['name']; ?>" onclick="if (confirm('<?php echo __('Jesteś pewien?') ?>')) { f = document.createElement('form'); document.body.appendChild(f); f.method = 'POST'; f.action = this.href; f.submit(); };return false;"><img src="/images/backend/icons/delete.gif" title="delete" alt="delete"></a>
                <?php endif; ?>

            </div>
            <?php $i++; ?>
            <?php endforeach; ?>

            <br class="st_clear_all">
        </div>
    </div>
        <div class="form-row">
        <label><?php echo __('Dodaj obrazek / video (mp4)') ?> <a href="#" class="help" title="<?php echo htmlspecialchars(__('Zalecany rozmiar zdjęcia 470 × 288 px Zalecany rozmiar video 1290 x 400 px', null, 'appEasterBackend')) ?>"></a></label>
             <div class="content">
               <input type="file" value="" id="easter_image" name="easter[image]">
                <br class="st_clear_all">
             </div>
        </div>

	
</fieldset>
  
<div id="easter_save">
<?php echo st_get_admin_actions_head() ?>
<?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin')) ?>
<?php echo st_get_admin_actions_foot() ?>
</div>

</form>	
    
    
<br class="st_clear_all">
<?php echo st_get_admin_foot() ?>

<script type="text/javascript">
jQuery(function($) {

$('#easter_save').stickyBox();

$(document).ready(function() {
    
    $(".image_radio").change(function () {
        $(".video_radio").each(function(i) {
          this.checked = false;
         });
    });

    $(".video_radio").change(function () {
        $(".image_radio").each(function(i) {
          this.checked = false;
         });
    });


});
});
</script>